Overview
GET
/billing/subscriptions/{id}billingGet subscriptions by id
Fetch a record from subscriptions by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
subscriptions
- idstring
- userIdstring
- ecosystemIdstring
- tierIdstring
- statusstring
- sourcestring
- startedAtstring
- expiresAtstring?
- assignedBystring?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"userId": "string",
"ecosystemId": "string",
"tierId": "string",
"status": "string",
"source": "string",
"startedAt": "string",
"expiresAt": "string",
"assignedBy": "string",
"createdAt": "string",
"updatedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/billing/subscriptions/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/billing/subscriptions/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();